/* 20profiles.cdf - BSP profile adjustments */

/*
 * Copyright (c) 2014-2015, 2017 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify, or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

/*
modification history
--------------------
13oct15,rbc  V7PRO-2233 - Add INCLUDE_DISK_UTIL to PROFILE_INTEL_GENERIC
07apr15,dot  V7PRO-1876 - Add INCLUDE_MPTABLE_SHOW to default components.
10feb15,my_  remove *_BASIC profiles (V7PRO-1583)
24nov14,ten  V7PRO-1436 - Add INCLUDE_NET_DRV to default components,
             bring defaults into generic profile.
17oct14,jmz  V7PRO-1277 remove support for PROFILE_SMALL_FOOTPRINT
             V7PRO-1278 only support BOOTAPP/BOOTROM for UP
07aug14,ten  US41103 - Add generic profile
20feb14,to   remove unsupported profiles
04feb14,scm  US20759 - remove unsupported interrupt modes...
31jan14,j_l  initial creation based on itl_64 version 28jan14
*/

/*
 * Profile that boots on as many boards as possible.
 */
Profile PROFILE_INTEL_GENERIC {
    NAME          Generic profile for booting 64-bit Intel boards.
    SYNOPSIS      Generic profile for beginning development on 64-bit Intel \
                  boards, which boots on most boards but is not optimized for \
                  any board and should be tuned for better footprint and \
                  performance.
    PROFILES      BSP_DEFAULT
    PROFILES_EXCLUSIONS \
                  INCLUDE_SHELL_BANNER 
    COMPONENTS += INCLUDE_FEI8255X_VXB_END \
                  INCLUDE_GEI825XX_VXB_END \
                  INCLUDE_PC_CONSOLE \
                  INCLUDE_USB_GEN2_KEYBOARD_INIT \
                  INCLUDE_EVDEV_LIB_KBD_SHELL_ATTACH \
                  INCLUDE_USB_GEN2_KEYBOARD_BOOTSHELL_ATTACH \
                  INCLUDE_USB_GEN2_STORAGE_INIT \
                  INCLUDE_DOSFS \
                  INCLUDE_DISK_UTIL \
                  INCLUDE_EHCI_INIT \
                  INCLUDE_OHCI_INIT \
                  INCLUDE_UHCI_INIT \
                  INCLUDE_IPTELNETS \
                  INCLUDE_PING \
                  INCLUDE_IPPING_CMD \
                  INCLUDE_IFCONFIG \
                  INCLUDE_IPIFCONFIG_CMD \
                  INCLUDE_BANNER \
                  GRUB_MULTIBOOT \
                  INCLUDE_EARLY_PRINT \
                  INCLUDE_MPTABLE_SHOW
}


Profile PROFILE_DEVELOPMENT {
    COMPONENTS += INCLUDE_BIOS_E820_MEM_AUTOSIZE \
                  INCLUDE_MPTABLE_SHOW
}

#if (!defined _WRS_CONFIG_SMP)
Profile PROFILE_BOOTAPP {
    COMPONENTS += INCLUDE_BIOS_E820_MEM_AUTOSIZE \
                  INCLUDE_MPTABLE_BOOT_OP
}

Profile PROFILE_BOOTROM {
    COMPONENTS += INCLUDE_BIOS_E820_MEM_AUTOSIZE \
                  INCLUDE_MPTABLE_BOOT_OP
}

Profile PROFILE_BOOTROM_COMPRESSED {
    COMPONENTS += INCLUDE_BIOS_E820_MEM_AUTOSIZE \
                  INCLUDE_MPTABLE_BOOT_OP
}

#endif /* (!defined _WRS_CONFIG_SMP) */

#if defined(PROFILE_SMALL_FOOTPRINT)
Profile PROFILE_SMALL_FOOTPRINT {
    COMPONENTS = COMPONENT_NOT_SUPPORTED
}
#endif /* defined(PROFILE_SMALL_FOOTPRINT) */
