/* 20pwrMgmt.cdf - Power management component description file */

/*
 * Copyright (c) 2014, 2017 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

/*
modification history
--------------------
19jun17,mjn  text updates (F8862)
31jan14,j_l  initial creation based on itl_64 version 01aug13
*/


/*
DESCRIPTION

This file contains power management components.
*/


/*
 * CPU performance management component
 */

Component INCLUDE_CPU_PERFORMANCE_MGMT {
    NAME            CPU performance management
    SYNOPSIS        This component provides routines which allow CPU dynamic power management (speed-stepping).
    INIT_RTN        perfMgrInit (SELECT_PRIORITY_PERF, ISR_PSTATE,\
                    DEF_PROFILE_INDEX, PERF_MGR_PROF0, PERF_MGR_PROF1,\
                    PERF_MGR_PROF2, PERF_MGR_PROF3 ); \
                    perfMgrEnable ();
    HDR_FILES       perfMgrLib.h
    REQUIRES        INCLUDE_CPU_PWR_ARCH \
                    INCLUDE_ERF \
                    SELECT_CPU_CONFIG
    EXCLUDES        INCLUDE_CPU_TURBO \
                    INCLUDE_CPU_LIGHT_PWR_MGR
    CFG_PARAMS      SELECT_PRIORITY_PERF \
                    ISR_PSTATE \
                    DEF_PROFILE_INDEX \
                    PERF_MGR_PROF0 \
                    PERF_MGR_PROF1 \
                    PERF_MGR_PROF2 \
                    PERF_MGR_PROF3
    _CHILDREN       FOLDER_PWR_MGMT
}
