/* 25bundle_targets.cdf - BSP bundles for target boards */

/*
 * Copyright (c) 2014-2015 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

/*
modification history
--------------------
22oct15,ten  V7PRO-2489 - Using serial over USB on Bay Trail (Bayley Bay CRB).
03apr15,rbc  V7PRO-1944 - Remove PWR bundles since power management not yet
             supported
23feb15,rbc  US54437 - New IA CPUs
29oct14,jmz  V7PRO-1037 - Only allow bundles for their specific CPU types
17sep14,scm  VX7PRO-1084, Adjust components for required USB/EVDEV support
21feb14,jjk  VXW7-1515 - Correct mismatched bundle combinations
31jan14,j_l  initial creation based on itl_64 version 27jan14
*/

/********** Broadwell **********/
#if defined (_WRS_CONFIG_CPU_BROADWELL)
Bundle BUNDLE_CAMELBACK_MOUNTAIN {
    NAME        Intel Camelback Mountain Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Camelback Mountain.
    COMPONENTS  INCLUDE_CAMELBACK_MOUNTAIN \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_CAMELBACK_MOUNTAIN_SMT {
    NAME        Intel Camelback Mountain Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Camelback Mountain target with SMT.
    COMPONENTS  INCLUDE_CAMELBACK_MOUNTAIN \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_CAMELBACK_MOUNTAIN_PWR {
    NAME        Intel Camelback Mountain Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Camelback Mountain with PWR.
    COMPONENTS  INCLUDE_CAMELBACK_MOUNTAIN \
                INCLUDE_ACPI \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_CPU_PWR_MGMT \
                INCLUDE_PWR_POLICY_MGR \
                INCLUDE_DEV_PWR_MGMT \
                INCLUDE_TICKLESS_IDLE
}

Bundle BUNDLE_CAMELBACK_MOUNTAIN_BOOTAPP {
    NAME        Intel Camelback Mountain Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for Intel Camelback Mountain.
    COMPONENTS  INCLUDE_CAMELBACK_MOUNTAIN \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SYS_WARM_USB
}

Bundle BUNDLE_WALNUT_CANYON_2 {
    NAME        Intel Walnut Canyon 2 Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Walnut Canyon 2.
    COMPONENTS  INCLUDE_WALNUT_CANYON_2 \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_WALNUT_CANYON_2_SMT {
    NAME        Intel Walnut Canyon 2 Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Walnut Canyon 2 target with SMT.
    COMPONENTS  INCLUDE_WALNUT_CANYON_2 \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_WALNUT_CANYON_2_PWR {
    NAME        Intel Walnut Canyon 2 Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Walnut Canyon 2 with PWR.
    COMPONENTS  INCLUDE_WALNUT_CANYON_2 \
                INCLUDE_ACPI \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_CPU_PWR_MGMT \
                INCLUDE_PWR_POLICY_MGR \
                INCLUDE_DEV_PWR_MGMT \
                INCLUDE_TICKLESS_IDLE
}

Bundle BUNDLE_WALNUT_CANYON_2_BOOTAPP {
    NAME        Intel Walnut Canyon 2 Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for Intel Walnut Canyon 2.
    COMPONENTS  INCLUDE_WALNUT_CANYON_2 \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SYS_WARM_USB
}

#endif /* defined (_WRS_CONFIG_CPU_BROADWELL) */

/********** Haswell **********/
#if defined (_WRS_CONFIG_CPU_HASWELL)
Bundle BUNDLE_WHITETIP_MOUNTAIN {
    NAME        Intel WhiteTip Mountain Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel WhiteTip Mountain.
    COMPONENTS  INCLUDE_WHITETIP_MOUNTAIN \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_WHITETIP_MOUNTAIN_SMT {
    NAME        Intel WhiteTip Mountain Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel WhiteTip Mountain target with SMT.
    COMPONENTS  INCLUDE_WHITETIP_MOUNTAIN \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_WHITETIP_MOUNTAIN_BOOTAPP {
    NAME        Intel WhiteTip Mountain Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for Intel WhiteTip Mountain.
    COMPONENTS  INCLUDE_WHITETIP_MOUNTAIN \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SYS_WARM_USB
}

Bundle BUNDLE_WALNUT_CANYON {
    NAME        Intel Walnut Canyon Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Walnut Canyon.
    COMPONENTS  INCLUDE_WALNUT_CANYON \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_WALNUT_CANYON_SMT {
    NAME        Intel Walnut Canyon Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Walnut Canyon target with SMT.
    COMPONENTS  INCLUDE_WALNUT_CANYON \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_WALNUT_CANYON_BOOTAPP {
    NAME        Intel Walnut Canyon Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for Intel Walnut Canyon.
    COMPONENTS  INCLUDE_WALNUT_CANYON \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SYS_WARM_USB
}

Bundle BUNDLE_FLATHEAD_CREEK {
    NAME        Intel Flathead Creek Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Flathead Creek.
    COMPONENTS  INCLUDE_FLATHEAD_CREEK \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_PC_CONSOLE \
                INCLUDE_EHCI_INIT \
                INCLUDE_USB_GEN2_KEYBOARD \
                INCLUDE_USB_GEN2_KEYBOARD_INIT \
                INCLUDE_EVDEV_LIB_KBD_SHELL_ATTACH \
                INCLUDE_IPTELNETS
}

Bundle BUNDLE_FLATHEAD_CREEK_SMT {
    NAME        Intel Flathead Creek Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Flathead Creek target with SMT.
    COMPONENTS  INCLUDE_FLATHEAD_CREEK \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SMP_SCHED_SMT_POLICY \
                INCLUDE_PC_CONSOLE \
                INCLUDE_EHCI_INIT \
                INCLUDE_USB_GEN2_KEYBOARD \
                INCLUDE_USB_GEN2_KEYBOARD_INIT \
                INCLUDE_EVDEV_LIB_KBD_SHELL_ATTACH \
                INCLUDE_IPTELNETS
}

Bundle BUNDLE_FLATHEAD_CREEK_BOOTAPP {
    NAME        Intel Flathead Creek Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for Intel Flathead Creek.
    COMPONENTS  INCLUDE_FLATHEAD_CREEK \
                INCLUDE_PC_CONSOLE \
                INCLUDE_EHCI_INIT \
                INCLUDE_USB_GEN2_KEYBOARD \
                INCLUDE_USB_GEN2_KEYBOARD_INIT \
                INCLUDE_EVDEV_LIB_KBD_SHELL_ATTACH \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SYS_WARM_USB
}

Bundle BUNDLE_LAVA_CANYON {
    NAME        Intel Lava Canyon Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Lava Canyon.
    COMPONENTS  INCLUDE_LAVA_CANYON \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_PC_CONSOLE \
                INCLUDE_EHCI_INIT \
                INCLUDE_USB_GEN2_KEYBOARD \
                INCLUDE_USB_GEN2_KEYBOARD_INIT \
                INCLUDE_EVDEV_LIB_KBD_SHELL_ATTACH \
                INCLUDE_IPTELNETS
}

Bundle BUNDLE_LAVA_CANYON_SMT {
    NAME        Intel Lava Canyon Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Lave Canyon target with SMT.
    COMPONENTS  INCLUDE_LAVA_CANYON \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SMP_SCHED_SMT_POLICY \
                INCLUDE_PC_CONSOLE \
                INCLUDE_EHCI_INIT \
                INCLUDE_USB_GEN2_KEYBOARD \
                INCLUDE_USB_GEN2_KEYBOARD_INIT \
                INCLUDE_EVDEV_LIB_KBD_SHELL_ATTACH \
                INCLUDE_IPTELNETS
}

Bundle BUNDLE_LAVA_CANYON_BOOTAPP {
    NAME        Intel Lava Canyon Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for Intel Lava Canyon.
    COMPONENTS  INCLUDE_LAVA_CANYON \
                INCLUDE_PC_CONSOLE \
                INCLUDE_EHCI_INIT \
                INCLUDE_USB_GEN2_KEYBOARD \
                INCLUDE_USB_GEN2_KEYBOARD_INIT \
                INCLUDE_EVDEV_LIB_KBD_SHELL_ATTACH \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SYS_WARM_USB
}
#endif /* defined (_WRS_CONFIG_CPU_HASWELL) */

/********** Ivy Bridge **********/
#if defined (_WRS_CONFIG_CPU_IVYBRIDGE)
Bundle BUNDLE_EMERALD_LAKE_II {
    NAME        Intel Emerald Lake Board II bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for the Intel Emerald Lake II target.
    COMPONENTS  INCLUDE_EMERALD_LAKE_II INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_EMERALD_LAKE_II_SMT {
    NAME        Intel Emerald Lake II Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Emerald Lake II target with SMT.
    COMPONENTS  INCLUDE_EMERALD_LAKE_II INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_EMERALD_LAKE_II_BOOTAPP {
    NAME        Intel Emerald Lake II Board bundle
    SYNOPSIS    Configures itl_64_vx7 builds for the Intel Emerald Lake II target.
    COMPONENTS  INCLUDE_EMERALD_LAKE_II INCLUDE_ACPI_BOOT_OP INCLUDE_SYS_WARM_USB
}
#endif /* defined (_WRS_CONFIG_CPU_IVYBRIDGE) */

/********** Sandy Bridge **********/
#if defined (_WRS_CONFIG_CPU_SANDYBRIDGE)
Bundle BUNDLE_EMERALD_LAKE {
    NAME        Intel Emerald Lake Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for the Intel Emerald Lake target.
    COMPONENTS  INCLUDE_EMERALD_LAKE INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_EMERALD_LAKE_SMT {
    NAME        Intel Emerald Lake Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Emerald Lake target with SMT.
    COMPONENTS  INCLUDE_EMERALD_LAKE INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_EMERALD_LAKE_BOOTAPP {
    NAME        Intel Emerald Lake Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for the Intel Emerald Lake target.
    COMPONENTS  INCLUDE_EMERALD_LAKE INCLUDE_ACPI_BOOT_OP INCLUDE_SYS_WARM_USB
}

Bundle BUNDLE_SHUMWAY {
    NAME        Intel Shumway Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for the Intel Shumway target.
    COMPONENTS  INCLUDE_SHUMWAY INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_SHUMWAY_SMT {
    NAME        Intel Shumway Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Shumway target with SMT.
    COMPONENTS  INCLUDE_SHUMWAY INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_SHUMWAY_BOOTAPP {
    NAME        Intel Shumway Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for the Intel Shumway target.
    COMPONENTS  INCLUDE_SHUMWAY INCLUDE_ACPI_BOOT_OP INCLUDE_SYS_WARM_USB
}

Bundle BUNDLE_STARGO {
    NAME        Intel Stargo Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for the Intel Stargo target.
    COMPONENTS  INCLUDE_STARGO INCLUDE_ACPI_BOOT_OP INCLUDE_ACPI_CPU_CONFIG
}

Bundle BUNDLE_STARGO_SMT {
    NAME        Intel Stargo Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Stargo target with SMT.
    COMPONENTS  INCLUDE_STARGO INCLUDE_ACPI_BOOT_OP INCLUDE_ACPI_CPU_CONFIG INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_STARGO_BOOTAPP {
    NAME        Intel Stargo Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for the Intel Stargo target.
    COMPONENTS  INCLUDE_STARGO INCLUDE_ACPI_BOOT_OP INCLUDE_SYS_WARM_USB
}
#endif /* defined (_WRS_CONFIG_CPU_SANDYBRIDGE) */

/********** Westmere **********/
#if defined (_WRS_CONFIG_CPU_WESTMERE)
Bundle BUNDLE_HANLAN_CREEK_WESTMERE {
    NAME        Intel Hanlan Creek Westmere Board bundle
    SYNOPSIS    Configure itl_64_vx7 vxWorks builds for Hanlan Creek Westmere.
    COMPONENTS  INCLUDE_HANLAN_CREEK_WESTMERE INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_HANLAN_CREEK_WESTMERE_SMT {
    NAME        Intel Hanlan Creek Westmere Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Hanlan Creek Westmere target with SMT.
    COMPONENTS  INCLUDE_HANLAN_CREEK_WESTMERE \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_HANLAN_CREEK_WESTMERE_BOOTAPP {
    NAME        Intel Hanlan Creek Westmere Board bundle
    SYNOPSIS    Configure itl_64_vx7 BOOTAPP builds for Hanlan Creek Westmere.
    COMPONENTS  INCLUDE_HANLAN_CREEK_WESTMERE INCLUDE_ACPI_BOOT_OP INCLUDE_SYS_WARM_USB
}
#endif /* defined (_WRS_CONFIG_CPU_WESTMERE) */

/********** Nehalem **********/
#if defined (_WRS_CONFIG_CPU_NEHALEM)
Bundle BUNDLE_OSAGE {
    NAME        Intel Osage Board bundle
    SYNOPSIS    Configure itl_64_vx7 vxWorks builds for Osage.
    COMPONENTS  INCLUDE_OSAGE INCLUDE_MPTABLE_BOOT_OP
}

Bundle BUNDLE_OSAGE_SMT {
    NAME        Intel Osage Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Osage target with SMT.
    COMPONENTS  INCLUDE_OSAGE INCLUDE_MPTABLE_BOOT_OP INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_OSAGE_BOOTAPP {
    NAME        Intel Osage Board bundle
    SYNOPSIS    Configure itl_64_vx7 BOOTAPP builds for Osage.
    COMPONENTS  INCLUDE_OSAGE INCLUDE_MPTABLE_BOOT_OP
}

Bundle BUNDLE_GREENCITY {
    NAME        Intel Green City Board bundle
    SYNOPSIS    Configure itl_64_vx7 vxWorks builds for GreenCity.
    COMPONENTS  INCLUDE_GREENCITY INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_GREENCITY_SMT {
    NAME        Intel Green City Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Green City target with SMT.
    COMPONENTS  INCLUDE_GREENCITY \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_GREENCITY_BOOTAPP {
    NAME        Intel Green City Board bundle
    SYNOPSIS    Configure itl_64_vx7 BOOTAPP builds for GreenCity.
    COMPONENTS  INCLUDE_GREENCITY INCLUDE_ACPI_BOOT_OP INCLUDE_SYS_WARM_USB
}

Bundle BUNDLE_MATXM_CORE_411_WR {
    NAME        Emerson MATXM_CORE_411_WR Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Emerson MATXM_CORE_411_WR.
    COMPONENTS  INCLUDE_MATXM_CORE_411_WR INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_MATXM_CORE_411_WR_SMT {
    NAME        Emerson MATXM_CORE_411_WR Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Emerson MATXM_CORE_411_WR target with SMT.
    COMPONENTS  INCLUDE_MATXM_CORE_411_WR INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_MATXM_CORE_411_WR_BOOTAPP {
    NAME        Emerson MATXM_CORE_411_WR Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for Emerson MATXM_CORE_411_WR.
    COMPONENTS  INCLUDE_MATXM_CORE_411_WR INCLUDE_ACPI_BOOT_OP INCLUDE_SYS_WARM_USB
}
#endif /* defined (_WRS_CONFIG_CPU_NEHALEM) */

/********** Core2 **********/
#if defined (_WRS_CONFIG_CPU_CORE)
Bundle BUNDLE_BEARLAKE {
    NAME        Intel Bearlake Board bundle
    SYNOPSIS    Configure itl_64_vx7 vxWorks builds for Bearlake.
    COMPONENTS  INCLUDE_BEARLAKE INCLUDE_MPTABLE_BOOT_OP
}

Bundle BUNDLE_BEARLAKE_SMT {
    NAME        Intel Bearlake Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Bearlake target with SMT.
    COMPONENTS  INCLUDE_BEARLAKE INCLUDE_MPTABLE_BOOT_OP INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_BEARLAKE_BOOTAPP {
    NAME        Intel Bearlake Board bundle
    SYNOPSIS    Configure itl_64_vx7 BOOTAPP builds for Bearlake.
    COMPONENTS  INCLUDE_BEARLAKE INCLUDE_MPTABLE_BOOT_OP INCLUDE_SYS_WARM_USB
}
#endif /* defined (_WRS_CONFIG_CPU_CORE) */

/********** Atom **********/
#if defined (_WRS_CONFIG_CPU_ATOM)
Bundle BUNDLE_MOONCREEK {
    NAME        Intel Mooncreek Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Mooncreek.
    COMPONENTS  INCLUDE_MOONCREEK INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_MOONCREEK_SMT {
    NAME        Intel Mooncreek Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Mooncreek target with SMT.
    COMPONENTS  INCLUDE_MOONCREEK INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_MOONCREEK_BOOTAPP {
    NAME        Intel MOONCREEK Bootapp Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP build for Intel Mooncreek.
    COMPONENTS  INCLUDE_MOONCREEK INCLUDE_ACPI_BOOT_OP INCLUDE_SYS_WARM_USB
}

Bundle BUNDLE_CEDAR_ROCK {
    NAME        Intel Cedar Rock Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Cedar Rock.
    COMPONENTS  INCLUDE_CEDAR_ROCK INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_CEDAR_ROCK_SMT {
    NAME        Intel Cedar Rock Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Cedar Rock target with SMT.
    COMPONENTS  INCLUDE_CEDAR_ROCK INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_CEDAR_ROCK_BOOTAPP {
    NAME        Intel Cedar Rock Bootapp Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP build for Intel Cedar Rock.
    COMPONENTS  INCLUDE_CEDAR_ROCK INCLUDE_ACPI_BOOT_OP INCLUDE_BOOT_UHCI_RESET
}

Bundle BUNDLE_NORCO  {
    NAME        Intel Norco Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Norco.
    COMPONENTS  INCLUDE_NORCO INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP
}

Bundle BUNDLE_NORCO_SMT {
    NAME        Intel Norco Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks Image builds for the Intel Norco target with SMT.
    COMPONENTS  INCLUDE_NORCO INCLUDE_ACPI_CPU_CONFIG INCLUDE_ACPI_BOOT_OP INCLUDE_SMP_SCHED_SMT_POLICY
}

Bundle BUNDLE_NORCO_BOOTAPP {
    NAME        Intel Norco Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for Intel Norco.
    COMPONENTS  INCLUDE_NORCO INCLUDE_ACPI_BOOT_OP INCLUDE_SYS_WARM_USB INCLUDE_BOOT_UHCI_RESET
}

#endif /* defined (_WRS_CONFIG_CPU_ATOM) */

/********** Silvermont **********/
#if defined (_WRS_CONFIG_CPU_SILVERMONT)
Bundle BUNDLE_BAY_TRAIL  {
    NAME        Intel Bay Trail Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for Intel Bay Trail.
    COMPONENTS  INCLUDE_BAY_TRAIL \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP 
}

Bundle BUNDLE_BAY_TRAIL_SMT {
    NAME        Intel Bay Trail Board bundle
    SYNOPSIS    Configures itl_64_vx7 vxWorks builds for the Intel Bay Trail target with SMT.
    COMPONENTS  INCLUDE_BAY_TRAIL \
                INCLUDE_ACPI_CPU_CONFIG \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SMP_SCHED_SMT_POLICY 
}

Bundle BUNDLE_BAY_TRAIL_BOOTAPP {
    NAME        Intel Bay Trail Board bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP builds for Intel Bay Trail.
    COMPONENTS  INCLUDE_BAY_TRAIL \
                INCLUDE_ACPI_BOOT_OP \
                INCLUDE_SYS_WARM_USB \
                INCLUDE_BOOT_UHCI_RESET
}
#endif /* defined (_WRS_CONFIG_CPU_SILVERMONT) */

/********** Multi Stage Boot  **********/

Bundle BUNDLE_MSB_FAST_REBOOT {
    NAME        Multi Stage Boot Fast Reboot bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP to do Fast reboots.
    COMPONENTS  INCLUDE_MULTI_STAGE_BOOT \
                INCLUDE_FAST_REBOOT
}

Bundle BUNDLE_MSB_WARM_REBOOT {
    NAME        Multi Stage Boot Warm Reboot bundle
    SYNOPSIS    Configures itl_64_vx7 BOOTAPP to do warm reboots.
    COMPONENTS  INCLUDE_MULTI_STAGE_BOOT \
                INCLUDE_MULTI_STAGE_WARM_REBOOT
}

