/* bsp.cdf - Board definition description file */

/*
 * Copyright (c) 2014-2015, 2017 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

/*
modification history
--------------------
28mar17,c_l  DATA_MODEL is set to LP64_ONLY (V7PRO-3600)
23feb15,rbc  US54437 - Add new IA CPU types
17dec14,j_l  V7PRO-1506 - Add INCLUDE_SYMMETRIC_IO_MODE for i8259Intr.c
13aug14,ten  US44071 - Merge multiboot changes from itl_64 BSP:
                       US38341, V7PRO-891
03jul14,j_l  US41956 - Implement GEN2 bootApp network boot
24jun14,jmz  US35979 - Add support for DRV_IA_PCI_BUS
09may14,wap  Add console driver selection (US35788, US35789, US35790, US35791)
01may14,j_l  US37558 - Create IA configuration configlettes for
                       VxBus GEN2 drivers
29apr14,j_l  US37556 - Convert *MPT* names to *IADT*
21apr14,j_l  US35957 - Add device list processing capability
19mar14,j_l  US32795 - Add INCLUDE_BOOT_LINE_INIT
04mar14,scm  TA42438 - add 16550 support for IA
12mar14,j_l  initial creation based on itl_64 version 09mar14
*/
/* desired default (LP64 CORE) */

Bsp itl_64_vx7 {
    NAME        board support package
    CPU         CORE AIRMONT ATOM BROADWELL \
                HASWELL IVYBRIDGE NEHALEM \
                SANDYBRIDGE SILVERMONT \
                SKYLAKE WESTMERE
    REQUIRES    INCLUDE_KERNEL \
                INCLUDE_CPU_INIT \
                INCLUDE_BOARD_LIB_INIT \
                INCLUDE_VXBUS \
                DRV_IA_PCI_BUS \
                DRV_INTCTLR_LOAPIC \
                DRV_INTCTLR_IOAPIC \
                INCLUDE_USR_MPAPIC \
                INCLUDE_PCI \
                INCLUDE_PENTIUM_PCI \
                INCLUDE_PCI_OLD_CONFIG_ROUTINES \
                INCLUDE_ITL_64_VX7_PARAMS \
                INCLUDE_TIMER_SYS \
                INCLUDE_TIMER_SYS_DELAY \
                INCLUDE_SYMMETRIC_IO_MODE \
                SELECT_CONSOLE \
                SELECT_SYS_CLK \
                SELECT_SYS_WARM_TYPE \
                SELECT_MEM_AUTOSIZE \
                SELECT_BOARD \
                SELECT_MULTIBOOT \
                SELECT_DEV_TABLE \
                SELECT_INTCTLR_LIB \
                INCLUDE_BOARD_CONFIG \
                INCLUDE_SYS_HW_INIT_0 \
                INCLUDE_BOOT_LINE_INIT
    FP          hard
    DATA_MODEL  LP64_ONLY
    VIP_BOOT    REQUIRED
    MP_OPTIONS  UP SMP
    BUILD_SPECS default_rom default_romCompress
}
